package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 证件类型
 */
@AllArgsConstructor
@Getter
public enum EIdType {

    /**
     * 身份证
     */
    ID_CARD(1, "身份证", 0);

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EIdType eIdType : EIdType.values()) {
            if (eIdType.getValue() == value) {
                return eIdType.getLabel();
            }
        }
        return "";
    }

}
